<?php

namespace app\admin\controller\Home;

use app\BaseController;
use app\Request;
use app\common\model\Home\Home as ModelHome;
use app\common\model\TeachersStrength\Teacher as ModelTeacher;

class Home extends BaseController
{
    /**
     * 获取首页数据接口
     *
     * @param Request request
     * @return array
     * @date 2023-05-10
     * @author xjh
     * @since 1.0.0
     */
    public function getHomeData(Request $request): array
    {
        return msg('获取首页数据成功!', ModelHome::getData());
    }
}
