<?php

namespace app\api\controller\Home\Partners;

use app\BaseController;
use app\common\model\Home\Partners\Partners as ModelPartners;
use app\Request;
use think\Validate;
use think\exception\ValidateException;
use think\facade\Filesystem;
use app\common\arw\adjfut\src\Excel;
use app\common\arw\adjfut\src\UploadFile;
use think\facade\Db;
use app\common\exception\Tool;
use think\facade\Env;


class Partners extends BaseController
{
    /**
     * 获取合作伙伴列表
     */
    public function getPartnersList(Request $request): array
    {
        $params = $request->param();
        $con = [];

        $con = Tool::getOptionalQuery();

        $query = ModelPartners::where($con)
            ->field([
                'partners_id',
                'partners_guid',
                'partners_img',
                'partners_des',
                'partners_sort'
            ])
            ->order('partners_sort', 'asc')
            ->select();

        return msg(0, "获取合作伙伴列表成功!", [
            'data' => $query,
            'count' => count($query)
        ]);
    }

}
